Package org.eclipse.mat.dtfj

# Class PreferenceConstants

java.lang.Object
org.eclipse.mat.dtfj.PreferenceConstants

public class PreferenceConstants extends Object
Constant definitions for plug-in preferences

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALL_METHODS_AS_CLASSES`
`static final String`
`FRAMES_ONLY`
`static final String`
`NO_METHODS_AS_CLASSES`
`static final String`
`P_METHODS`
Whether to treat stack frames as pseudo-objects and methods as pseudo-classes
`static final String`
`P_RELIABILITY_CHECK`
`static final String`
`P_SUPPRESS_CLASS_NATIVE_SIZES`
`static final String`
`RELIABILITY_FATAL`
`static final String`
`RELIABILITY_SKIP`
`static final String`
`RELIABILITY_WARNING`
`static final String`
`RUNNING_METHODS_AS_CLASSES`

## Constructor Summary

Constructors
Constructor
Description
`PreferenceConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### P_METHODS

public static final String P_METHODS
Whether to treat stack frames as pseudo-objects and methods as pseudo-classes

See Also:
  - Constant Field Values

### P_SUPPRESS_CLASS_NATIVE_SIZES

public static final String P_SUPPRESS_CLASS_NATIVE_SIZES

See Also:
  - Constant Field Values

### P_RELIABILITY_CHECK

public static final String P_RELIABILITY_CHECK

See Also:
  - Constant Field Values

### NO_METHODS_AS_CLASSES

public static final String NO_METHODS_AS_CLASSES

See Also:
  - Constant Field Values

### RUNNING_METHODS_AS_CLASSES

public static final String RUNNING_METHODS_AS_CLASSES

See Also:
  - Constant Field Values

### ALL_METHODS_AS_CLASSES

public static final String ALL_METHODS_AS_CLASSES

See Also:
  - Constant Field Values

### FRAMES_ONLY

public static final String FRAMES_ONLY

See Also:
  - Constant Field Values

### RELIABILITY_FATAL

public static final String RELIABILITY_FATAL

See Also:
  - Constant Field Values

### RELIABILITY_WARNING

public static final String RELIABILITY_WARNING

See Also:
  - Constant Field Values

### RELIABILITY_SKIP

public static final String RELIABILITY_SKIP

See Also:
  - Constant Field Values

## Constructor Details

### PreferenceConstants

public PreferenceConstants()